DNS6CONV(1)

NAME
dns6conv - convert an IPv6 textual address for a DNS RR

SYNOPSIS
dns6conv [-b beginbit] [-e endbit] [-f formattype] IPv6address

DESCRIPTION
dns6conv converts a specified textual IPv6 address into an appropriate DNS resource record format. It first separates a portion of the given address from the beginbit bit to the endbit bit, with beginbit inclusive and endbit exclusive (the 0th bit is the most significant). The default values of theses bits are 64 and 128, and can be specified by the -b and -e command line options, respectively. When specified, the values must be between 0 and 128, with these two values inclusive. Also, beginbit must be smaller than endbit.

Then the command prints the separated address in an appropriate format to be used as (a part of) a DNS resource record. The -f option is used to specify the type of the desired resource record. The following values can be specified with the option.
nibble
    specifies to print the address as nibble DNS labels. This is the default format type of this command. When this format is specified, beginbit and endbit must be a multiple of 4.
a6  specifies to print the separated address as an ordinary IPv6 textual format, which can be used as the address suffix part of an A6 resource record.
bit specifies to print the address as a hex string with the length of the significant bits separated by the slash character. The output can be used as a bitstring label to construct reverse map database.

RETURN VALUES
dns6conv exits with 0 on success, and non-zero on errors.

HISTORY
The dns6conv command first appeared in the WIDE/KAME IPv6 protocol stack kit.